Jobs
Jobs represent the core delivery operations within your system, encompassing pickup and delivery tasks that need to be executed by your fleet. Effective job management is crucial for optimizing delivery operations, ensuring customer satisfaction, and maintaining operational efficiency. This guide will walk you through how to manage your jobs within the system.
Create Job
Create a job with pickups and deliveries.
Notes:
job.order_idis optional. If not provided, an order ID is automatically generated by the system.job.typemust be one of:pickup_delivery,appointment.job.delivery_typeis an optional integer specifying the fulfillment category:1: Scheduled Delivery2: On-Demand Delivery3: Click & Collect4: Appointment
- Times (
pickup_slot_from,pickup_slot_to,delivery_slot_from,delivery_slot_to) are epoch seconds.
Parameters
job
dictionary
POST/v1/jobs
🇪🇺 EUbash
curl https://eu.api.lynxo.ai/v1/jobs \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR....." \
-H "Content-Type: application/json" \
-X POST \
-d '{"job":{"order_id":"LLOP2528","timezone":"Asia/Singapore","type":"pickup_delivery","delivery_type":1,"notes":"Handle with care. thanks","package_scanning_required":true,"test_mode":false,"pickups":[{"branch_id":"HYD","notes":"Call before pickup","pickup_slot_from":1751619600,"pickup_slot_to":1751623200,"packages":[{"id":"PKG001","barcode":"BR001"}]}],"deliveries":[{"payment_type":1,"amount":0,"first_order":true,"address":{"coordinates":{"latitude":24.633333,"longitude":46.716667}},"customer":{"name":"Perth Smith","email":"perth@example.com","mobile":"500234561","dial_code":"966"},"notes":"Leave","delivery_slot_from":1751587200,"delivery_slot_to":1751634000,"enable_otp":true,"otp":"437448","packages":[{"id":"PKG001","barcode":"BR001"}]}]}}'RESPONSE
{
"job": {
"id": 8483233,
"order_id": "ORD123459",
"type": "pickup_delivery",
"status": 2,
"notes": "Handle with care",
"created_at": 1754679308,
"updated_at": 1754701185,
"rider": {
"id": 3938720,
"reference_id": "RR3938720",
"name": "Najemudeen",
"username": "mnajemudeen",
"dial_code": "",
"mobile": "",
"email": "najemudeen@gmail.com",
"type": "rider",
"status": 1,
"profile_pic": "",
"email_verified": false,
"phone_verified": false,
"metadata": {},
"last_coordinates": {
"longitude": null,
"latitude": null
},
"created_at": 1750053813,
"updated_at": 1750053813
},
"pickups": [
{
"id": 32,
"status": 1,
"pickup_slot_from": 1754680860,
"pickup_slot_to": 1754681040,
"created_at": 1754679308,
"updated_at": 1754679308,
"address": {
"id": 6475714,
"reference_id": "ADR6475714",
"name": "",
"building": "",
"floor": "",
"door": "",
"line_1": "Vannarapet Road",
"line_2": "",
"landmark": "khjk",
"city": "Bengaluru",
"state": "Karnataka",
"district": "Austin Town",
"post_code": "560047",
"country": "India",
"notes": "",
"coordinates": {
"latitude": 12.9564672,
"longitude": 77.6208384
},
"formatted_address": "Vannarapet Road, Austin Town, Karnataka, Bengaluru, India, 560047",
"created_at": 1754679,
"updated_at": 1754679,
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"updated_by": null
},
"customer": {
"id": 1789139,
"reference_id": "",
"name": "john",
"mobile": "+919876543210",
"dial_code": "966",
"alternate_mobile": "",
"alternate_mobile_dial_code": "",
"email": "john@gmail.com",
"email_verified": false,
"mobile_verified": false,
"status": 1,
"created_at": 1754288707,
"updated_at": 1754288707
},
"next_status": [
2,
5,
6
],
"in_progress": false,
"completed": false,
"packages": [
{
"package_id": "PKG001122",
"barcode": "BAR123"
}
],
"status_history": []
}
],
"deliveries": [
{
"id": 30,
"status": 1,
"first_order": false,
"enable_otp": false,
"otp": "",
"note": "",
"unattended_delivery": false,
"leave_at_door": false,
"dont_ring_bell": false,
"age_restricted_delivery": false,
"signature_required": false,
"signature_image": "",
"proof_of_delivery_images": [],
"payment_type": 1,
"amount": 0,
"tracking_id": "42-1774-ONN",
"delivery_slot_from": 1754852040,
"delivery_slot_to": 1754938680,
"created_at": 1754679308,
"updated_at": 1754679308,
"address": {
"id": 7946315,
"reference_id": "ADR7946315",
"name": "",
"building": "",
"floor": "",
"door": "",
"line_1": "6th Cross Road",
"line_2": "",
"landmark": "hjfyug",
"city": "Bengaluru",
"state": "Karnataka",
"district": "Austin Town",
"post_code": "560047",
"country": "India",
"notes": "",
"coordinates": {
"latitude": 12.965256606553893,
"longitude": 77.61356266777989
},
"formatted_address": "6th Cross Road, Austin Town, Karnataka, Bengaluru, India, 560047",
"created_at": 1754679,
"updated_at": 1754679,
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"updated_by": null
},
"customer": {
"id": 7307244,
"reference_id": "",
"name": "Mohamed anas",
"mobile": "+918098520795",
"dial_code": "966",
"alternate_mobile": "",
"alternate_mobile_dial_code": "",
"email": "smohamedanas99@gmail.com",
"email_verified": false,
"mobile_verified": false,
"status": 1,
"created_at": 1754678206,
"updated_at": 1754678206
},
"next_status": [
2,
5,
6
],
"in_progress": false,
"completed": false,
"packages": [
{
"package_id": "PKG001122",
"barcode": "BAR123"
}
],
"status_history": [
{
"status": 6,
"remarks": "Job deleted by admin",
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"created_at": 1754679308
}
]
}
],
"status_history": [
{
"status": 1,
"remarks": "",
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"created_at": 1754679308
},
{
"status": 2,
"remarks": "",
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"created_at": 1754701185
}
],
"next_status": [
3,
5,
7
]
}
}